using UnityEngine.Audio;
using UnityEngine;

[System.Serializable]
public class Sound{
    public string name;

    public AudioClip clip;

    [Space]
    [Range(0, 1)] public float volume;
    [Range(0, 1)] public float volumeVariance = 0f;

    [Space]
    [Range(.1f, 3)] public float pitch;
    [Range(0, 1)] public float pitchVariance = 0f;

    [Space]
    public bool loop;

    [HideInInspector] public AudioSource source;
}
